package com.pm.subsystem.mapper;

import java.util.List;
import com.pm.common.config.PageData;

/**
 * 广播内容Mapper接口
 *
 * @author system
 * @date 2025-01-06
 */
public interface IbmsBroadcastContentMapper
{
    /**
     * 查询广播内容
     *
     * @param id 广播内容主键
     * @return 广播内容
     */
    public PageData selectIbmsBroadcastContentById(Long id);

    /**
     * 查询广播内容列表
     *
     * @param pd
     * @return 广播内容集合
     */
    public List<PageData> selectIbmsBroadcastContentList(PageData pd);

    /**
     * 新增广播内容
     *
     * @param pd
     * @return 结果
     */
    public int insertIbmsBroadcastContent(PageData pd);

    /**
     * 修改广播内容
     *
     * @param pd
     * @return 结果
     */
    public int updateIbmsBroadcastContent(PageData pd);

    /**
     * 删除广播内容
     *
     * @param id 广播内容主键
     * @return 结果
     */
    public int deleteIbmsBroadcastContentById(Long id);

    /**
     * 批量删除广播内容
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteIbmsBroadcastContentByIds(Long[] ids);
}